Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractPatternNamedNumberDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractPatternNamedNumber>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractPatternNamedNumber>
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractPatternNamedNumberDao

public class ContractPatternNamedNumberDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractPatternNamedNumber>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPatternNamedNumberDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ContractPatternNamedNumber`
  `getFromRS(ResultSet rs)`
  `ContractPatternNamedNumber`
  `getFromTitle(String title)`
  `int`
  `getNextNamedNumberIndex(String title)`
  Получить следующий индекс.
  `List<ContractPatternNamedNumber>`
  `list()`
  `protected void`
  `updateImpl(ContractPatternNamedNumber namedNumber)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractPatternNamedNumberDao

    public ContractPatternNamedNumberDao(Connection con)

- ## Method Details

  - ### list

    public List<ContractPatternNamedNumber> list() throws SQLException
    Overrides:
      `list` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractPatternNamedNumber>`
    Throws:
      `SQLException`

  - ### getFromTitle

    public ContractPatternNamedNumber getFromTitle(String title) throws SQLException
    Parameters:
      `title` - - название индекса.
    Returns:
      параметр, если такого нет, то вернет null
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getNextNamedNumberIndex

    public int getNextNamedNumberIndex(String title) throws SQLException
    Получить следующий индекс. При этом счетчик в БД автоматом увеличивается на 1.
    Parameters:
      `title` - - название индекса.
    Returns:
      - индекс, если такого параметра нет то вернет -1
    Throws:
      `ru.bitel.bgbilling.common.BGException` - - если title = null или пустой или состоит из пробелов.
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractPatternNamedNumber namedNumber) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractPatternNamedNumber>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected ContractPatternNamedNumber getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractPatternNamedNumber>`
    Throws:
      `SQLException`